- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_ipv6security_raguard – CLI command to create/modify/delete ipv6security-raguard

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add ipv6 RA Guard Policy, Update ipv6 RA guard Policy and Remove ipv6 RA Guard Policy.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_access_list string |  | RA Guard Access List of Source IPs.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_device string | Choices: host router | RA Guard Device. host or router.
pn_name string / required |  | RA Guard Policy Name.
pn_prefix_list string |  | RA Guard Prefix List.
pn_router_priority string | Choices: low medium high | RA Guard Router Priority.
state string | Choices: present ← update absent | ipv6security-raguard configuration command.

## Examples

    - name: ipv6 security ragurad create
      pn_ipv6security_raguard:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_device: "host"

    - name: ipv6 security ragurad create
      pn_ipv6security_raguard:
        pn_cliswitch: "sw01"
        pn_name: "foo1"
        pn_device: "host"
        pn_access_list: "sample"
        pn_prefix_list: "sample"
        pn_router_priority: "low"

    - name: ipv6 security ragurad modify
      pn_ipv6security_raguard:
        pn_cliswitch: "sw01"
        pn_name: "foo1"
        pn_device: "router"
        pn_router_priority: "medium"
        state: "update"

    - name: ipv6 security ragurad delete
      pn_ipv6security_raguard:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        state: "absent"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the ipv6security-raguard command.
stdout list | always | set of responses from the ipv6security-raguard command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.